<?php
/*
	DevSaver Web Framework
	Copyright (c) 2002-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com
*/

if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}

class CSocialMediaWidgetShare extends CWidget {

	/**
	* description
	*
	* @var type
	*
	* @access type
	*/
	var $meta = array(
		"type"	=> "2",
		"name"	=> "Native Share Buttons",
	);

	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function Render($widget) {
		global $base;

		return $this->tpl->blockREplace(
			"Main" , 
			array(
				"set_label"	=> $widget["settings"]["set_label"] ? "true" : "false",
				"set_count"	=> $widget["settings"]["set_count"] ? $widget["settings"]["set_count"] : "true",
				"set_services"	=> str_replace("," , '","' , $widget["settings"]["set_services"]),
			),
			$widget,
			$widget["settings"]
		);

	}
			

}


?>